{% extends "layout.html" %}

{% block title %}
Home
{% endblock %}

{% block main %}
    {{ super() }}

    <div class="page home page-container" data-page-title="Home" data-apos-ajax-context="home">
  
        <div class="container hero">

                <div class="truffl-silver truffl-silver-1" >
                    <div class="truffl-silver-bg" style="background-image: url(/modules/my-truffl/images/truffl_silver.png)"></div>
                </div>
                <div class="truffl-silver truffl-silver-2">
                    <div class="truffl-silver-bg" style="background-image: url(/modules/my-truffl/images/truffl_silver.png)"></div>
                </div>
                <div class="truffl-silver truffl-silver-3">
                    <div class="truffl-silver-bg" style="background-image: url(/modules/my-truffl/images/truffl_silver.png)"></div>
                </div>

                {# Look beneath the surface #}
                <h1 class="hero-title appear appear-ground early-trigger">
                   {{ apos.singleton(data.page, 'homeHeroTitle', 'apostrophe-rich-text', {}) }}
                </h1>

                <!-- <div id="debugScroll" style="position: absolute; bottom: 5px; left: 5px; font-size: 20px; color: black;"></div> -->
        </div>
       

        <div class="container about about-1">

            <div class="about-truffl appear appear-bottom">
                {# 
                Truffl is an award winning Creative Agency & Venture Studio. 
                Specialising in branding, strategy, and content creation, we 
                help clients transform their brands from ordinary to extraordinary, 
                grow their businesses and bring their visions to life.
                #}

                {{ apos.singleton(data.page, 'homeAboutTruffl', 'apostrophe-rich-text', {}) }}
            </div>

            <div class="horizontal-scroll appear appear-bottom visible-on-desktop">
                <div class="horizontally-scrollable" id="scrollHwhileScrollingV">
                    <div class="explore">Dig</div>
                    <div class="explore">Explore</div>
                    <div class="explore">Execute</div>
                    <div class="spacer">&nbsp;</div>
                </div>
                <div class="cover-scrollable"></div>
            </div>

            <div class="we-dig-explore visible-on-mobile" id="weDigExplore">
                <div class="letters-with-shadow animated"><div>Dig</div></div>
                <div class="letters-with-shadow animated"><div>Explore</div></div>
                <div class="letters-with-shadow animated"><div>Execute</div></div>
            </div>
          

            <div class="explore-process appear">
                {{ apos.singleton(data.page, 'homeExploreProcessLink', 'drawer-explore-block', {size: '', animation: 'animated'}) }}
            </div>

        </div>
 

        <div class="container projects projects-1">
            {{ apos.singleton(data.page, 'projectsSectionOneV2', 'project-home', { animation: 'animated cover'}) }}
        </div>

        <div class="container partnering">
            
           <div class="row">
                <div class="col-50">
                    <div class="lets-get-deep appear appear-bottom">
                        {# Let’s get deep, together. #}
                         {{ apos.singleton(data.page, 'homeLetsGetDeep', 'apostrophe-rich-text', {}) }}
                    </div>
                </div>
                <div class="col-50">
                    <div class="our-clients appear appear-bottom">
                        {# Partnering closely with clients is our specialty. More than only a creative agency, we treat our clients like business partners.  We love listening and getting deeply involved in each client’s business, helping them build meaningful brands that connect deeply with their customers.  #}
                        {{ apos.singleton(data.page, 'homeAboutOurClients', 'apostrophe-rich-text', {}) }}
                    </div>
                </div>
           </div>
           <div class="row explore-story-wrapper">
               <div class="col-50">&nbsp;</div>
               <div class="col-50 ">

                     {{ apos.singleton(data.page, 'homeExploreOurStoryLink', 'drawer-explore-block', {size: '', animation: 'animated white'}) }}

                   {# <a href="about#ourStory" class="link-with-underline animated">
                       <span class="link-text">{{ apos.singleton(data.page, 'homeLinksText02', 'apostrophe-rich-text', {}) }}</span>
                       <span class="underline"></span>
                   </a> #}
               </div>
           </div>
           
        </div>

        <div class="container projects projects-2 animated-partners-logos appear">
            {{ apos.singleton(data.global, 'homePartnersLogos', 'truffl-partners-logos', {} )}}
        </div>
        

        <div class="container about about-2">

            <div class="about-truffl appear appear-bottom">
                {# From strategy to execution. We provide holistic branding, design, and consulting services, working with clients to launch or elevate their brands. #}
                {{ apos.singleton(data.page, 'homeAboutTrufflStrategy', 'apostrophe-rich-text', {}) }}

                <div class="explore-services appear">
                    {{ apos.singleton(data.page, 'homeExploreOurServicesLink', 'drawer-explore-block', {size: '', animation: 'animated'}) }}
                </div>
                
            </div>

        </div>

        <div class="container projects projects-3">

            {# TODO - instagram editable content #}

            {% set instagramUrl = 'https://www.instagram.com/truffl/?hl=en' %}

            <div class="instagram appear" >
                <div class="insta-title">Instagram</div>
                <a class="insta-tag link-with-underline animated external" href="{{ instagramUrl }}" target="_blank">
                    <span class="link-text">@truffl </span>
                    <span class="underline"></span>
                </a>
            </div>

            <a href="{{ instagramUrl }}" target="_blank" class="quarter external">
                <!-- <img class="fit cover" src="/modules/my-truffl/images/southpark-group@2x.png"> -->

                <div class="video-container appear">
                    {# {{ apos.singleton(data.page, 'projectThree01', 'drawer-video') }} #}
                    <video muted loop autoplay playsinline  webkit-playsinline>
                        <source src="/modules/my-truffl/video/200127_IGT_Test_optimized.mp4" type="video/mp4">
                        Your browser does not support the video tag.
                    </video> 
                </div>

            </a>

            <a href="{{ instagramUrl }}" target="_blank" class="quarter appear external">
                {{ apos.singleton(data.page, 'projectThree02', 'drawer-logo') }}
            </a>
           

            <a href="{{ instagramUrl }}" target="_blank" class="fit-four external">

                <div class="half appear">
                    {{ apos.singleton(data.page, 'projectThree03', 'drawer-logo') }}
                </div>
                <div class="half appear">
                    {{ apos.singleton(data.page, 'projectThree04', 'drawer-logo') }}
                </div>
                <div class="half appear">
                    {{ apos.singleton(data.page, 'projectThree05', 'drawer-logo') }}
                </div>
                <div class="half appear">
                    {{ apos.singleton(data.page, 'projectThree06', 'drawer-logo') }}
                </div>

            </a>

            <a href="{{ instagramUrl }}" target="_blank" class="half appear external">
                {{ apos.singleton(data.page, 'projectThree07', 'drawer-logo') }}
            </a>

        </div>

        {% include "/pages/parts/hire-and-contact.html" %}

    </div>

{% endblock %}
